# Module: Cri::Platform

Defined in:
  lib/cri/platform.rb

## Class Method Summary collapse

- .color?(io) ⇒ Boolean

  Checks whether colors can be enabled.

- .windows? ⇒ Boolean

  otherwise.

## Class Method Details

### .color?(io) ⇒ `Boolean`

Checks whether colors can be enabled. For colors to be enabled, the given IO should be a TTY, and, when on Windows, ::Win32::Console::ANSI needs to be defined.

Returns:

- (`Boolean`) —

  True if colors should be enabled, false otherwise.

    14
    15
    16
    17
    18
    19
    20
    21
    22

    # File 'lib/cri/platform.rb', line 14

    def self.color?(io)
      if !io.tty?
        false
      elsif windows?
        defined?(::Win32::Console::ANSI)
      else
        true
      end
    end

### .windows? ⇒ `Boolean`

otherwise.

Returns:

- (`Boolean`) —

  true if the current platform is Windows, false

    5
    6
    7

    # File 'lib/cri/platform.rb', line 5

    def self.windows?
      RUBY_PLATFORM =~ /windows|bccwin|cygwin|djgpp|mingw|mswin|wince/i
    end